# Uses of Enum Class
org.springframework.transaction.event.TransactionPhase

Packages that use TransactionPhase
Package
Description
org.springframework.transaction.event
Spring's support for listening to transaction events.

## Uses of TransactionPhase in org.springframework.transaction.event

Methods in org.springframework.transaction.event that return TransactionPhase
Modifier and Type
Method
Description
`default TransactionPhase`
TransactionalApplicationListener.`getTransactionPhase()`
Return the `TransactionPhase` in which the listener will be invoked.
`TransactionPhase`
TransactionalApplicationListenerAdapter.`getTransactionPhase()`
Return the transaction phase to invoke the listener in.
`TransactionPhase`
TransactionalApplicationListenerMethodAdapter.`getTransactionPhase()`
`static TransactionPhase`
TransactionPhase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransactionPhase[]`
TransactionPhase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.transaction.event with parameters of type TransactionPhase
Modifier and Type
Method
Description
`static <T> TransactionalApplicationListener<org.springframework.context.PayloadApplicationEvent<T>>`
TransactionalApplicationListener.`forPayload(TransactionPhase phase, Consumer<T> consumer)`
Create a new `TransactionalApplicationListener` for the given payload consumer.
`void`
TransactionalApplicationListenerAdapter.`setTransactionPhase(TransactionPhase transactionPhase)`
Specify the transaction phase to invoke the listener in.